import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';
import { Options } from 'http-proxy-middleware';

/**
 * http-proxy-middleware proxy config interface.
 *
 * @alpha
 */
interface ProxyConfig extends Options {
    allowedMethods?: string[];
    allowedHeaders?: string[];
    reviveRequestBody?: boolean;
    credentials?: 'require' | 'forward' | 'dangerously-allow-unauthenticated';
}
/**
 * Extension point interface for managing proxy endpoints.
 *
 * @alpha
 */
interface ProxyEndpointsExtensionPoint {
    addProxyEndpoints(endpoints: Record<string, string | ProxyConfig>): void;
}
/**
 * Extension point for managing proxy endpoints.
 *
 * @alpha
 */
declare const proxyEndpointsExtensionPoint: _backstage_backend_plugin_api.ExtensionPoint<ProxyEndpointsExtensionPoint>;

export { type ProxyConfig, type ProxyEndpointsExtensionPoint, proxyEndpointsExtensionPoint };
